<?php

namespace Simplyin\Simplyin_W_Plugin\Dto\Order;

class Order_Body_Data_DTO {

	protected Order_Data_DTO $order_data_dto;
	protected string $shop_user_email;


	public function toArray(): array {
		return [
			"newOrderData"  => $this->order_data_dto->to_array(),
			"shopUserEmail" => $this->shop_user_email,
		];

	}

	public function set_order_data_dto( Order_Data_DTO $order_data_dto ): void {
		$this->order_data_dto = $order_data_dto;
	}

	public function set_shop_user_email( string $shop_user_email ): void {
		$this->shop_user_email = $shop_user_email;
	}
}
